4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BDistRpm

Classes: BDistRpm |  |  |  | Globals: DEBUG

## Classes

class BDistRpm(distutils.command.bdist_rpm.bdist_rpm)

  ### Methods

  finalize_package_data(self)
    Overrides: finalize_package_data from class bdist_rpm
  initialize_options(self)
    Overrides: initialize_options from class bdist_rpm
  run(self)
    Overrides: run from class bdist_rpm

  ### Methods inherited from class distutils.command.bdist_rpm.bdist_rpm

  finalize_options

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  command_name = 'bdist_rpm'
  opt = ('force-arch=', None, 'Force an architecture onto the RPM build process')
  user_options = [('bdist-base=', None, 'base directory for creating built distributions'), ('rpm-base=', None, 'base directory for creating RPMs (defaults to "rpm" under --bdist-base; must be specified for RPM 2)'), ('dist-dir=', 'd', 'directory to put final RPM files in (and .spec files if --spec-only)'), ('python=', None, 'path to Python interpreter to hard-code in the .spec file (default: "python")'), ('fix-python', None, 'hard-code the exact path to the current Python interpreter in the .spec file'), ('spec-only', None, 'only regenerate spec file'), ('source-only', None, 'only generate source RPM'), ('binary-only', None, 'only generate binary RPM'), ('use-bzip2', None, 'use bzip2 instead of gzip to create source distribution'), ('distribution-name=', None, 'name of the (Linux) distribution to which this R...lies (*not* the name of the module distribution!)'), ('group=', None, 'package classification [default: "Development/Libraries"]'), ('release=', None, 'RPM release number'), ('serial=', None, 'RPM serial number'), ('vendor=', None, 'RPM "vendor" (eg. "Joe Blow <joe@example.com>") [default: maintainer or author from setup script]'), ('packager=', None, 'RPM packager (eg. "Jane Doe <jane@example.net>")[default: vendor]'), ('patch-files=', None, 'list of patches (space or comma-separated)'), ('doc-files=', None, 'list of documentation files (space or comma-separated)'), ('changelog=', None, 'RPM changelog'), ('icon=', None, 'name of icon file'), ('provides=', None, 'capabilities provided by this package'), ...]

  ### Members inherited from class distutils.command.bdist_rpm.bdist_rpm

  boolean_options, description, negative_opt

  ### Members inherited from class distutils.cmd.Command

  sub_commands

## Globals

DEBUG = None